## SYNOPSIS

           addr2line [-b bfdname|--target=bfdname]
                     [-C|--demangle[=style]]
                     [-e filename|--exe=filename]
                     [-f|--functions] [-s|--basename]
                     [-H|--help] [-V|--version]
                     [addr addr ...]

## DESCRIPTION

           addr2line translates program addresses into file names and
           line numbers.  Given an address and an executable, it uses
           the debugging information in the executable to figure  out
           which  file  name  and  line  number are associated with a
           given address.

           The executable to use is specified  with  the  -e  option.
           The default is the file a.out.

           addr2line has two modes of operation.

           In  the  first, hexadecimal addresses are specified on the
           command line, and addr2line displays  the  file  name  and
           line number for each address.

           In  the second, addr2line reads hexadecimal addresses from
           standard input, and prints the file name and  line  number
           for  each  address  on  standard  output.   In  this mode,
           addr2line may be used in a  pipe  to  convert  dynamically
           chosen addresses.

           The  format  of  the  output is FILENAME:LINENO.  The file
           name and line number for each address is printed on a sep
           arate  line.   If  the  -f option is used, then each FILE
           NAME:LINENO line is preceded by a FUNCTIONNAME line  which
           is the name of the function containing the address.

           If  the  file name or function name can not be determined,
           addr2line will print two question marks  in  their  place.
           If  the  line number can not be determined, addr2line will
           print 0.

## OPTIONS

           The long and short forms of options, shown here as  alter
           natives, are equivalent.

           -b bfdname
           --target=bfdname
               Specify  that  the  object-code  format for the object
               files is bfdname.

           -C
           -f
           --functions
               Display function names as well as file and line number
               information.

           -s
           --basenames
               Display only the base of each file name.

## SEE ALSO

           Info entries for binutils.

## COPYRIGHT

           Copyright (c) 1991, 92, 93, 94, 95, 96, 97, 98, 99,  2000,
           2001, 2002 Free Software Foundation, Inc.

           Permission  is  granted  to copy, distribute and/or modify
           this document under the terms of the GNU  Free  Documenta
           tion  License,  Version 1.1 or any later version published
           by the Free Software Foundation; with  no  Invariant  Sec
           tions,  with  no Front-Cover Texts, and with no Back-Cover
           Texts.  A copy of the license is included in  the  section
           entitled "GNU Free Documentation License".

    binutils-2.13.90.0.18       2003-03-13               ADDR2LINE(1)